org.gradle.api.artifacts.repositories

## Interface AuthenticationContainer

- All Superinterfaces:
    Collection<Authentication>, org.gradle.util.Configurable<NamedDomainObjectContainer<Authentication>>, DomainObjectCollection<Authentication>, Iterable<Authentication>, NamedDomainObjectCollection<Authentication>, NamedDomainObjectContainer<Authentication>, NamedDomainObjectSet<Authentication>, PolymorphicDomainObjectContainer<Authentication>, Set<Authentication>

      @Incubating
      public interface AuthenticationContainer
      extends PolymorphicDomainObjectContainer<Authentication>

  Container for configuring repository authentication schemes of type `Authentication`.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`